> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# List DM Members

> List all the members of a DM. 

### Changelog
| Version      | Description | 
| ---------------- | ------------|
|0.59.0             | Added       |

## OpenAPI

````json GET /api/v1/dm.members
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Messaging"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "Chat"
    },
    {
      "name": "DM"
    },
    {
      "name": "Auto-Translate"
    }
  ],
  "paths": {
    "/api/v1/dm.members": {
      "get": {
        "tags": [
          "DM"
        ],
        "summary": "List DM Members",
        "description": "List all the members of a DM. \n\n### Changelog\n| Version      | Description | \n| ---------------- | ------------|\n|0.59.0             | Added       |",
        "operationId": "get-api-v1-im.members",
        "parameters": [
          {
            "$ref": "#/components/parameters/Auth-Token"
          },
          {
            "$ref": "#/components/parameters/UserId"
          },
          {
            "$ref": "#/components/parameters/offset"
          },
          {
            "$ref": "#/components/parameters/count"
          },
          {
            "$ref": "#/components/parameters/sort"
          },
          {
            "$ref": "#/components/parameters/query"
          },
          {
            "name": "roomId",
            "in": "query",
            "description": "The room ID of the DM. It is required if `username` is not provided.",
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/Optional-Username"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "members": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "_id": {
                            "type": "string"
                          },
                          "username": {
                            "type": "string"
                          },
                          "status": {
                            "type": "string"
                          },
                          "name": {
                            "type": "string"
                          },
                          "utcOffset": {
                            "type": "integer"
                          },
                          "statusText": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    "count": {
                      "type": "integer"
                    },
                    "offset": {
                      "type": "integer"
                    },
                    "total": {
                      "type": "integer"
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "members": [
                        {
                          "_id": "5fRTXMt7DMJbpPJfh",
                          "username": "test.john",
                          "status": "online",
                          "name": "Test John",
                          "utcOffset": "1",
                          "statusText": ""
                        },
                        {
                          "_id": "rbAXPnMktTFbNpwtJ",
                          "username": "roxie",
                          "status": "offline",
                          "name": "test test",
                          "utcOffset": "1",
                          "statusText": "On a vacation"
                        },
                        {
                          "_id": "hFDuCPam7sWziWFYa",
                          "status": "offline",
                          "name": "Hookdeck Write",
                          "utcOffset": "1",
                          "username": "hookdeck.write"
                        }
                      ],
                      "count": "3",
                      "offset": "0",
                      "total": "3",
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean"
                    },
                    "error": {
                      "type": "string"
                    },
                    "errorType": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "success": "false",
                      "error": "must have required property 'roomId'\n must have required property 'username'\n must match exactly one schema in oneOf [invalid-params]",
                      "errorType": "invalid-params"
                    }
                  },
                  "Example 2": {
                    "value": {
                      "success": "false",
                      "error": "[invalid-channel]",
                      "errorType": "invalid-channel"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "description": "The `authToken` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f"
      },
      "UserId": {
        "name": "X-User-Id",
        "in": "header",
        "description": "The `userId` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "rbAXPnMktTFbNpwtJ"
      },
      "offset": {
        "name": "offset",
        "in": "query",
        "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.",
        "required": "false",
        "schema": {
          "type": "integer"
        },
        "example": "50"
      },
      "count": {
        "name": "count",
        "in": "query",
        "description": "The number of items to return.  Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.",
        "required": "false",
        "schema": {
          "type": "integer"
        },
        "example": "50"
      },
      "sort": {
        "name": "sort",
        "in": "query",
        "description": "List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, `{ \"value\": -1, \"_id\": 1 }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.",
        "required": "false",
        "schema": {}
      },
      "query": {
        "name": "query",
        "in": "query",
        "description": "This parameter allows you to use MongoDB query operators to search for specific data. For example, to query users with a name that contains the letter \"g\": query=`{ \"name\": { \"$regex\": \"g\" }}`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.",
        "required": "false",
        "schema": {}
      },
      "Optional-Username": {
        "name": "username",
        "in": "query",
        "description": "The username of the user in the DM. It is required if `roomId` is not provided.",
        "required": "false",
        "schema": {
          "type": "string"
        }
      }
    },
    "responses": {
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      }
    }
  }
}
````

